package {
	import flash.display.StageScaleMode;
	import flash.display.StageAlign;
	import flash.display.Stage;
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.ui.Multitouch;
	import flash.ui.MultitouchInputMode;
	
	[SWF(backgroundColor="#000000", frameRate="24")]
	
	public class MobileAS3ExamplesGestures extends Sprite {
		
		private var traceField:TextField;
		private var traceFormat:TextFormat;
		
		public function MobileAS3ExamplesGestures() {
			super();
stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			
			setupTextField();
			checkGestures();
		}
		
		protected function setupTextField():void {
			traceFormat = new TextFormat;
			traceFormat.bold = true;
			traceFormat.font = "_sans";
			traceFormat.size = 44;
			traceFormat.align = "center";
			traceFormat.color = 0x333333;
			traceField = new TextField();
			traceField.defaultTextFormat = traceFormat;
			traceField.selectable = false;
traceField.mouseEnabled = false;
			traceField.width = stage.stageWidth;
			traceField.height = stage.stageHeight;
			addChild(traceField);
		}
		
		protected function checkGestures():void {
			Multitouch.inputMode = MultitouchInputMode.GESTURE;
			if(Multitouch.supportedGestures){
				var supportedGestures:Vector.<String> = Multitouch.supportedGestures;
				for(var i:int=0; i < supportedGestures.length; ++i) {
					traceField.appendText(supportedGestures[i] + "\n");
				}
			}else{
				traceField.appendText("no gesture support!");
			}
		}
		
	}
}
