package {
	import flash.display.Sprite;
	import flash.display.Stage;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.system.Capabilities;
	import flash.system.TouchscreenType;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.ui.Keyboard;
	import flash.ui.KeyboardType;
	import flash.ui.Mouse;
	
	[SWF(backgroundColor="#000000", frameRate="24")]
	
	public class MobileAS3ExamplesInputTypes extends Sprite {
		
		private var traceField:TextField;
		private var traceFormat:TextFormat;
		
		public function MobileAS3ExamplesInputTypes() {
			super();
			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			
			setupTextField();
			checkInputTypes();
		}
		
		protected function setupTextField():void {
			traceFormat = new TextFormat;
			traceFormat.bold = true;
			traceFormat.font = "_sans";
			traceFormat.size = 32;
			traceFormat.align = "center";
			traceFormat.color = 0x333333;
			traceField = new TextField();
			traceField.defaultTextFormat = traceFormat;
			traceField.selectable = false;
			traceField.mouseEnabled = false;
			traceField.width = stage.stageWidth;
			traceField.height = stage.stageHeight;
			addChild(traceField);
		}
		
		protected function checkInputTypes():void {
			traceField.appendText("Touch Screen Type: " + flash.system.Capabilities.touchscreenType + "\n");
			traceField.appendText("Mouse Cursor: " + flash.ui.Mouse.supportsCursor + "\n");
			traceField.appendText("Physical Keyboard Type: " + flash.ui.Keyboard.physicalKeyboardType + "\n");
			traceField.appendText("Virtual Keyboard: " + flash.ui.Keyboard.hasVirtualKeyboard + "\n");
		}
		
	}

}
