package {
	import flash.display.Sprite;
	import flash.display.Stage;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.events.KeyboardEvent;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.ui.Keyboard;
	
	[SWF(backgroundColor="#000000", frameRate="24")]
	
	public class MobileAS3ExamplesSoftKey extends Sprite {
		
		private var traceField:TextField;
		private var traceFormat:TextFormat;
		
		public function MobileAS3ExamplesSoftKey() {
			super();
			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			
			setupTextField();
			registerListeners();
		}
		
		protected function setupTextField():void {
			traceFormat = new TextFormat;
			traceFormat.bold = true;
			traceFormat.font = "_sans";
			traceFormat.size = 44;
			traceFormat.align = "center";
			traceFormat.color = 0x333333;
			traceField = new TextField();
			traceField.defaultTextFormat = traceFormat;
			traceField.selectable = false;
			traceField.mouseEnabled = false;
			traceField.width = stage.stageWidth;
			traceField.height = stage.stageHeight;
			addChild(traceField);
		}
		
		protected function registerListeners():void {
			stage.addEventListener(KeyboardEvent.KEY_DOWN, keyDown);
		}
		
		protected function keyDown(e:KeyboardEvent):void {
			var key:uint = e.keyCode;
			traceField.text = key + " pressed!\n";
			switch(key){
				case Keyboard.BACK:{
					e.preventDefault();
					traceField.appendText("Keyboard.BACK");
					break;
				}
				case Keyboard.MENU:{
					traceField.appendText("Keyboard.MENU");
					break;
				}
				case Keyboard.SEARCH:{
					traceField.appendText("Keyboard.SEARCH");
					break;
				}
			}
		}
		
	}
}
