package
{
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.system.Capabilities;
	import flash.display.StageAspectRatio;
	import flash.text.TextField;
	import flash.text.TextFormat;
	
	[SWF(backgroundColor="#000000", frameRate="24")]
	
	public class MobileAS3ExamplesBounds extends Sprite {
		
		private var traceField:TextField;
		private var traceFormat:TextFormat;
		
		public function MobileAS3ExamplesBounds() {
			super();
			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			
			setupTextField();
			readBounds();
		}
		
		protected function setupTextField():void {
			traceFormat = new TextFormat;
			traceFormat.bold = true;
			traceFormat.font = "_sans";
			traceFormat.size = 24;
			traceFormat.align = "center";
			traceFormat.color = 0xCCCCCC;
			traceField = new TextField();
			traceField.defaultTextFormat = traceFormat;
			traceField.selectable = false;
			traceField.mouseEnabled = false;
			traceField.width = stage.stageWidth;
			traceField.height = stage.stageHeight;
			addChild(traceField);
		}
		
		protected function readBounds():void {
			traceField.appendText("Stage Width: " + stage.stageWidth + "\n");
			traceField.appendText("Stage Height: " + stage.stageHeight + "\n");
			traceField.appendText("Pixel AR: " + Capabilities.pixelAspectRatio + "\n");
			traceField.appendText("Screen DPI: " + Capabilities.screenDPI + "\n");
			traceField.appendText("Touch Screen Type: " + Capabilities.touchscreenType + "\n");
			traceField.appendText("Screen Res X: " + Capabilities.screenResolutionX + "\n");
			traceField.appendText("Screen Res Y: " + Capabilities.screenResolutionY);
		}
		
	}
}