package {
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageOrientation;
	import flash.display.StageScaleMode;
	import flash.events.StageOrientationEvent;
	import flash.text.TextField;
	import flash.text.TextFormat;
	
	[SWF(backgroundColor="#000000", frameRate="24")]
	
	public class MobileAS3ExamplesOrientation extends Sprite {
		
		private var traceField:TextField;
		private var traceFormat:TextFormat;
		
		public function MobileAS3ExamplesOrientation() {
			super();
			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			stage.autoOrients = true;
			
			setupTextField();
			registerListeners();
		}
		
		protected function setupTextField():void {
			traceFormat = new TextFormat;
			traceFormat.bold = true;
			traceFormat.font = "_sans";
			traceFormat.size = 24;
			traceFormat.align = "center";
			traceFormat.color = 0xCCCCCC;
			traceField = new TextField();
			traceField.defaultTextFormat = traceFormat;
			traceField.selectable = false;
			traceField.mouseEnabled = false;
			traceField.width = stage.stageWidth;
			traceField.height = stage.stageHeight;
			addChild(traceField);
		}
		
		protected function registerListeners():void {
			stage.addEventListener(StageOrientationEvent.ORIENTATION_CHANGE, onOrientationChange);
		}
		
		protected function onOrientationChange(e:StageOrientationEvent):void {
			traceField.appendText(e.afterOrientation+"\n");
			reformLayout();
		}
		
		protected function reformLayout():void {
			traceField.width = stage.stageWidth;
			traceField.height = stage.stageHeight;
		}
		
	}
}
