package {
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.events.TouchEvent;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.net.navigateToURL;
	import flash.net.URLRequest;
	import flash.ui.Multitouch;
	import flash.ui.MultitouchInputMode;
	
	[SWF(backgroundColor="#000000", frameRate="24")]
	
	public class MobileAS3ExamplesPhone extends Sprite {
		
		private var fauxButton:Sprite;
		private var traceField:TextField;
		private var traceFormat:TextFormat;
		
		public function MobileAS3ExamplesPhone() {
			super();
			stage.align = StageAlign.TOP_LEFT;
			stage.scaleMode = StageScaleMode.NO_SCALE;
			
			setupTextButton();
			registerListeners();
		}
		
		protected function setupTextButton():void {
			traceFormat = new TextFormat;
			traceFormat.bold = true;
			traceFormat.font = "_sans";
			traceFormat.size = 42;
			traceFormat.align = "center";
			traceFormat.color = 0x333333;
			traceField = new TextField();
			traceField.defaultTextFormat = traceFormat;
			traceField.autoSize = "left";
			traceField.selectable = false;
			traceField.mouseEnabled = false;
			traceField.text = "Invoke Phone";
			traceField.x = 30;
			traceField.y = 25;
			
			fauxButton = new Sprite();
			fauxButton.addChild(traceField);
			fauxButton.graphics.beginFill(0xFFFFFF, 1);
			fauxButton.graphics.drawRect(0, 0, traceField.width+60, traceField.height+50);
			fauxButton.graphics.endFill();
			fauxButton.x = (stage.stageWidth/2) - (fauxButton.width/2);
			fauxButton.y = 60;
			addChild(fauxButton);
		}
		
		protected function registerListeners():void {
			Multitouch.inputMode = MultitouchInputMode.TOUCH_POINT;
			fauxButton.addEventListener(TouchEvent.TOUCH_TAP, onTouchTap);
		}
		
		protected function onTouchTap(e:TouchEvent):void {
			navigateToURL(new URLRequest("tel:15555554385"));
		}
	}
	
}
