package {
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.events.Event;
	import flash.events.TouchEvent;
	import flash.geom.Rectangle;
	import flash.media.StageWebView;
	import flash.net.URLRequest;
	import flash.net.navigateToURL;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.ui.Multitouch;
	import flash.ui.MultitouchInputMode;
	
	[SWF(backgroundColor="#000000", frameRate="24")]
	
	public class MobileAS3ExamplesStageWebView extends Sprite {
		
		private var fauxButton:Sprite;
		private var swv:StageWebView;
		private var swvRect:Rectangle;
		private var traceField:TextField;
		private var traceFormat:TextFormat;
		
		public function MobileAS3ExamplesStageWebView() {
			super();
			stage.align = StageAlign.TOP_LEFT;
			stage.scaleMode = StageScaleMode.NO_SCALE;
			
			setupTextButton();
			setupStageWebView();
			registerListeners();
		}
		
		protected function setupTextButton():void {
			traceFormat = new TextFormat;
			traceFormat.bold = true;
			traceFormat.font = "_sans";
			traceFormat.size = 42;
			traceFormat.align = "center";
			traceFormat.color = 0x333333;
			traceField = new TextField();
			traceField.defaultTextFormat = traceFormat;
			traceField.autoSize = "none";
			traceField.selectable = false;
			traceField.mouseEnabled = false;
			traceField.text = "Load Website";
			traceField.x = 30;
			traceField.y = 25;
			
			fauxButton = new Sprite();
			fauxButton.addChild(traceField);
			fauxButton.graphics.beginFill(0xFFFFFF, 1);
			fauxButton.graphics.drawRect(0, 0, traceField.width+60, traceField.height+50);
			fauxButton.graphics.endFill();
			fauxButton.x = (stage.stageWidth/2) - (fauxButton.width/2);
			fauxButton.y = 60;
			addChild(fauxButton);
		}
		
		protected function setupStageWebView():void {
			swvRect = new Rectangle(0,fauxButton.y+fauxButton.height+40,stage.stageWidth,stage.stageHeight-fauxButton.y+fauxButton.height+40);
			if(StageWebView.isSupported){
				swv = new StageWebView();
				swv.stage = this.stage;
				swv.viewPort = swvRect;
			}
		}
		
		protected function registerListeners():void {
			Multitouch.inputMode = MultitouchInputMode.TOUCH_POINT;
			fauxButton.addEventListener(TouchEvent.TOUCH_TAP, onTouchTap);
			swv.addEventListener(Event.COMPLETE, locationChanged);
		}
		
		protected function onTouchTap(e:TouchEvent):void {
			swv.loadURL("http://memoryspiral.com/");
		}
		
		protected function locationChanged(e:Event):void {
			traceField.text = e.target.title;
		}
	}
	
}