package {
	import flash.desktop.NativeApplication;
	import flash.desktop.SystemIdleMode;
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.text.TextField;
	import flash.text.TextFormat;
	
	[SWF(backgroundColor="#000000", frameRate="24")]
	
	public class MobileAS3ExamplesScreen extends Sprite {
		
		private var traceField:TextField;
		private var traceFormat:TextFormat;
		
		public function MobileAS3ExamplesScreen() {
			super();
			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			
			setIdleMode();
			setupTraceField();
			checkIdleMode()
		}
		
		protected function setIdleMode():void {
			NativeApplication.nativeApplication.systemIdleMode = SystemIdleMode.KEEP_AWAKE;
		}
		
		protected function setupTraceField():void {
			traceFormat = new TextFormat;
			traceFormat.bold = true;
			traceFormat.font = "_sans";
			traceFormat.size = 24;
			traceFormat.align = "left";
			traceFormat.color = 0xCCCCCC;
			traceField = new TextField();
			traceField.defaultTextFormat = traceFormat;
			traceField.selectable = false;
			traceField.multiline = true;
			traceField.wordWrap = true;
			traceField.mouseEnabled = false;
			traceField.x = 20;
			traceField.y = 20
			traceField.width = stage.stageWidth-40;
			traceField.height = stage.stageHeight - traceField.y;
			addChild(traceField);
		}
		
		protected function checkIdleMode():void {
			traceField.text = "System Idle Mode: " + NativeApplication.nativeApplication.systemIdleMode;
		}
		
	}
}