package {
	import flash.display.StageScaleMode;
	import flash.display.StageAlign;
	import flash.display.Stage;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.TouchEvent;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.ui.Multitouch;
	import flash.ui.MultitouchInputMode;
	
	[SWF(backgroundColor="#000000", frameRate="24")]
	
	public class MobileAS3ExamplesTouchPoint extends Sprite {
		
		private var traceField:TextField;
		private var traceFormat:TextFormat;
		
		public function MobileAS3ExamplesTouchPoint() {
			super();
stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			
			setupTextField();
			setupTouchEvents();
		}
		
		protected function setupTextField():void {
			traceFormat = new TextFormat;
			traceFormat.bold = true;
			traceFormat.font = "_sans";
			traceFormat.size = 30;
			traceFormat.align = "left";
			traceFormat.color = 0x333333;
			traceField = new TextField();
			traceField.defaultTextFormat = traceFormat;
			traceField.selectable = false;
traceField.mouseEnabled = false;
			traceField.width = stage.stageWidth;
			traceField.height = stage.stageHeight;
			addChild(traceField);
		}
		
		protected function setupTouchEvents():void {
			Multitouch.inputMode = MultitouchInputMode.TOUCH_POINT;
			stage.addEventListener(TouchEvent.TOUCH_MOVE, touchMove);
			stage.addEventListener(TouchEvent.TOUCH_END, touchEnd);
		}

		protected function touchMove(e:TouchEvent):void {
			traceField.text = "";
			traceField.appendText("Primary: " + e.isPrimaryTouchPoint + "\n");
			traceField.appendText("LocalX: " + e.localX + "\n");
			traceField.appendText("LocalY: " + e.localY + "\n");
			traceField.appendText("Pressure: " + e.pressure + "\n");
			traceField.appendText("SizeX: " + e.sizeX + "\n");
			traceField.appendText("SizeY: " + e.sizeY + "\n");
			traceField.appendText("StageX: " + e.stageX + "\n");
			traceField.appendText("StageY: " + e.stageY + "\n");
			traceField.appendText("TPID: " + e.touchPointID + "\n");
		}
		
		protected function touchEnd(e:TouchEvent):void {
			traceField.text = "";
		}
		
	}
}
