package {
	import flash.display.Sprite;
	import flash.display.Stage;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.events.StatusEvent;
	import flash.sensors.Geolocation;
	import flash.text.TextField;
	import flash.text.TextFormat;
	
	[SWF(backgroundColor="#000000", frameRate="24")]
	
	public class MobileAS3ExamplesGeoLocationMuted extends Sprite {
		
		private var traceField:TextField;
		private var traceFormat:TextFormat;
		private var geo:Geolocation;
		
		public function MobileAS3ExamplesGeoLocationMuted() {
			super();
			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			
			setupTextField();
			registerListeners();
		}
		
		protected function setupTextField():void {
			traceFormat = new TextFormat;
			traceFormat.bold = true;
			traceFormat.font = "_sans";
			traceFormat.size = 44;
			traceFormat.align = "center";
			traceFormat.color = 0x333333;
			traceField = new TextField();
			traceField.defaultTextFormat = traceFormat;
			traceField.selectable = false;
			traceField.mouseEnabled = false;
			traceField.width = stage.stageWidth;
			traceField.height = stage.stageHeight;
			addChild(traceField);
		}
		
		protected function registerListeners():void {
			geo = new Geolocation();
			geo.addEventListener(StatusEvent.STATUS, checkGeolocationMuted);
			traceField.appendText("Geolocation Disabled? \n\n" + geo.muted);
		}
		
		protected function checkGeolocationMuted(e:StatusEvent):void {
			traceField.appendText("Geolocation Disabled? \n\n" + geo.muted);
		}
		
	}
} 
