package {
	import com.hurlant.crypto.hash.MD5;
	
	import flash.data.SQLConnection;
	import flash.data.SQLMode;
	import flash.data.SQLStatement;
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.events.SQLEvent;
	import flash.filesystem.File;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.utils.ByteArray;
	
	[SWF(backgroundColor="#000000", frameRate="24")]
	
	public class MobileAS3ExamplesEncrypt extends Sprite {
		
		private const pass:String = "AIR@ndr0idIsKo0l";
		private var sqlConnection:SQLConnection;
		private var encryptionPass:ByteArray;
		private var encryptionKey:ByteArray;
		private var md5:MD5;
		private var traceField:TextField;
		private var traceFormat:TextFormat;
		
		public function MobileAS3ExamplesEncrypt() {
			super();
			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			
			setupTraceField();
			encryptDB();
		}
		
		protected function setupTraceField():void {
			traceFormat = new TextFormat;
			traceFormat.bold = true;
			traceFormat.font = "_sans";
			traceFormat.size = 24;
			traceFormat.align = "left";
			traceFormat.color = 0xCCCCCC;
			traceField = new TextField();
			traceField.defaultTextFormat = traceFormat;
			traceField.selectable = false;
			traceField.multiline = true;
			traceField.wordWrap = true;
			traceField.mouseEnabled = false;
			traceField.x = 20;
			traceField.y = 40;
			traceField.width = stage.stageWidth-40;
			traceField.height =stage.stageHeight - traceField.y;
			addChild(traceField);
		}
		
		protected function encryptDB():void {
			encryptionPass = new ByteArray();
			encryptionPass.writeUTFBytes(pass);
			
			md5 = new MD5();
			encryptionKey = new ByteArray();
			encryptionKey = md5.hash(encryptionPass);
			
			sqlConnection = new SQLConnection();
			sqlConnection.addEventListener(SQLEvent.OPEN, dbOpened);
			sqlConnection.open(File.applicationStorageDirectory.resolvePath("encrypted.db"), SQLMode.CREATE, false, 1024, encryptionKey);
		}
		
		protected function dbOpened(e:SQLEvent):void {
			traceField.appendText("Encrypted DB Created!\n\n");
			traceField.appendText("Pass: " + pass + "\n\n");
			traceField.appendText("Key: " + encryptionKey.toString());
		}
		
	}
}